Users
Update user
Partially updates an existing user's properties.
Required scopes: user:update
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
userId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PATCH "https://api.stemp.app/api/v1/users/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"object": "string",
"email": "string",
"name": "string",
"phone": "string",
"externalId": "string",
"birthdate": "2019-08-24",
"metadata": {
"private": {},
"public": {},
"unsafe": {}
},
"customAttributes": {
"property1": {},
"property2": {}
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"passInfos": [
{
"templateId": "string",
"passId": "string"
}
],
"isMemberUser": true,
"resolvedId": "string"
}